'Nome       : EncTabDsc.sql
'Tipo       : LST
'Data       : 2013/09/03
'Versao     : 1.0
'Descricao  : ENC - Listagem de tabela de descontos

'==============================================================================
'#VER - Historia de modificacoes
'==============================================================================
'- Versao : 1.0   ____/__/__ --------------------------------------------------
'Versao base


'==============================================================================
#DEF - Definicao global do documento
'==============================================================================
Caracteres invalidos             [CarInv]=#
Subtotalizadores                 [SbtNiv]=2
##


'==============================================================================
#ESP - Campos especificos
'==============================================================================
##


'==============================================================================
#SQL - Comandos SQL
'==============================================================================
'Base de dados           [BD]=EmpFic$("EMP","Cta,Cta.mdb")
Base de dados           [BD]=EmpFic$("EMP","Cemp,Emp_Dat.mdb")


'------------------------------------------------------------------------------
'- Tabela de descontos --------------------------------------------------------
'------------------------------------------------------------------------------
Tabela de descontos [Cmd]=TabDsc=+
+SELECT Grp$, Pag AS VPG, +
+       V0l1$ AS V01, Vl02$ AS V02, Vl03$ AS V03, +
+       V0l4$ AS V04, Vl05$ AS V05, V0l6$ AS V06, +
+       V0l7$ AS V07, Vl08$ AS V08, Vl09$ AS V09, +
+       Vl10$ AS V10 +
+ FROM  EmpDesc +
+ WHERE Grp$ > '$' +
+ ORDER BY Grp$, Pag

+ AND   Grp$   BETWEEN  {Opc_Div.Ini} AND  {Opc_Div.Fim} +


'------------------------------------------------------------------------------
'- Descontos por conta --------------------------------------------------------
'------------------------------------------------------------------------------
Descontos por conta [Cmd]=CtLst=+
+SELECT        CtaMst.Ct$ AS C01, CtaAng.Desco$ AS C04, EmpDesc.Pag AS VPG, +
                     + CtaMst.Nome$ AS C02, CtaAng.Vend AS C03, EmpDesc.Grp$ as GRP, EmpDesc.Pag, +
                     + EmpDesc.V0l1$ AS V01, EmpDesc.Vl02$ AS V02, EmpDesc.Vl03$ AS V03, +
                     + EmpDesc.V0l4$ AS V04, EmpDesc.Vl05$ AS V05, EmpDesc.V0l6$ AS V06, +
                     + EmpDesc.V0l7$ AS V07, EmpDesc.Vl08$ AS V08, EmpDesc.Vl09$ AS V09, +
                     + EmpDesc.Vl10$ AS V10 +
+ FROM         EmpDesc RIGHT OUTER JOIN +
                     + CtaAng ON  PerSep_DesCli(dbo.EmpDesc.Grp$) = CtaAng.Ct$ RIGHT OUTER JOIN +
                     + CtaMst ON CtaAng.Ct$ = CtaMst.Ct$ +
+ WHERE                (CtaMst.CodTrat$ = '9') AND +
                     + (CtaMst.Ct$  BETWEEN '{Opc_Ct.Ini}' AND '{Opc_Ct.Fim}') AND +
                     + (CtaAng.Vend BETWEEN  {Opc_Div.Ini} AND  {Opc_Div.Fim}) +
+ ORDER BY CtaMst.Ct$, EmpDesc.Grp$, EmpDesc.Pag

##


'==============================================================================
#DOC - Configuracao do documento
'==============================================================================
Tipo                       [DocTip]=SQL
Nome                       [DocNom]=TAB,Tabela de Descontos (Texto)

'formato
Saida/Impressora           [DocSai]=
Linhas por pagina          [DocLpg]=50
Colunas por linha          [DocCol]=80
Formato do papel           [DocPap]=72L
Ajustar pagina             [DocApg]=0

'funcoes de listagem
Listar cabecalho            [FxCAB]=Tx_TabCab
Listar linhas               [FxLIN]=Tx_TabLin,0
Listar fim                  [FxFIM]=Tx_TabFim

'controlo de listagem SQL
Gerador de dados a listar  [SQLDat]=TabDsc
Subtotalizadores           [SQLSbt]=
##


'==============================================================================
#DOC - Configuracao do documento
'==============================================================================
Tipo                       [DocTip]=SQL
Nome                       [DocNom]=TAB_XLS,Tabela de Descontos (XLS)

'formato
Saida/Impressora           [DocPrt]=NULA
Linhas por pagina          [DocLpg]=50
Colunas por linha          [DocCol]=80
Formato do papel           [DocPap]=72L
Ajustar pagina             [DocApg]=0

'funcoes de listagem
Base para documento         [FxDOC]=XlsTab
Listar cabecalho            [FxCAB]=XlsTab_Cab
Listar linhas               [FxLIN]=XlsTab_Lin,0
Listar fim                  [FxFIM]=XlsTab_Fim

Matriz auxiliar            [DocMat]=EncTabDsc.xls

'controlo de listagem SQL
Gerador de dados a listar  [SQLDat]=TabDsc
Subtotalizadores           [SQLSbt]=

##    


'==============================================================================
#DOC_x - Configuracao do documento
'==============================================================================
Tipo                       [DocTip]=SQL
Nome                       [DocNom]=NOR,Clientes - Descontos (Texto)

'formato
Saida/Impressora           [DocSai]=
Linhas por pagina          [DocLpg]=50
Colunas por linha          [DocCol]=80
Formato do papel           [DocPap]=72L
Ajustar pagina             [DocApg]=0

'funcoes de listagem
Listar cabecalho            [FxCAB]=Tx_NorCab
Listar linhas               [FxLIN]=Tx_NorLin,0
Listar fim                  [FxFIM]=Tx_NorFim

'controlo de listagem SQL
Gerador de dados a listar  [SQLDat]=CtLst
Subtotalizadores           [SQLSbt]=
##


'==============================================================================
#DOC_x - Configuracao do documento - Impressao grafica
'==============================================================================
Tipo                       [DocTip]=SQL
Nome                       [DocNom]=NOR_G,Clientes - Descontos (Grafica)

'formato
Saida/Impressora           [DocPrt]=PAG_W
Linhas por pagina          [DocLpg]=56
Colunas por linha          [DocCol]=80
Formato do papel           [DocPap]=72L
Ajustar pagina             [DocApg]=0

'funcoes de listagem
Listar cabecalho            [FxCAB]=PW_NorCab
Listar linhas               [FxLIN]=PW_NorLin,0
Listar fim                  [FxFIM]=PW_NorFim

'controlo de listagem SQL
Gerador de dados a listar  [SQLDat]=CtLst
Subtotalizadores           [SQLSbt]=
##


'==============================================================================
#DOC_x - Configuracao do documento
'==============================================================================
Tipo                       [DocTip]=SQL
Nome                       [DocNom]=NorG_XLS,Clientes - Descontos (XLS)

'formato
Saida/Impressora           [DocPrt]=NULA
Linhas por pagina          [DocLpg]=50
Colunas por linha          [DocCol]=80
Formato do papel           [DocPap]=72L
Ajustar pagina             [DocApg]=0

'funcoes de listagem
Base para documento         [FxDOC]=XlsVndDes
Listar cabecalho            [FxCAB]=XlsVndDes_Cab
Listar linhas               [FxLIN]=XlsVndDes_Lin,0
Listar fim                  [FxFIM]=XlsVndDes_Fim

Matriz auxiliar            [DocMat]=EncVndDes.xls

'controlo de listagem SQL
Gerador de dados a listar  [SQLDat]=CtLst
Subtotalizadores           [SQLSbt]=

##    


'==============================================================================
#VAR - Variaveis
'==============================================================================
Tit80    = TxTit$("TT=12CPI, LD, PT=48C, TL=10CPI","Clientes - Descontos"))
Tit132   = TxTit$("TT=16CPI, LD, PT=66C, TL=16CPI",lstTit$))


DataPlc  = FrmVal$(Sig_DtHoje,45,0)
Ct       = SqlCmp$("CT")
Nome     = left$(SqlCmp$("NOM"),35)
Ctrb     = SqlCmp$("CTRB")

SalCT    = FrmNum$(12.2,ctSpa)                    'valor do saldo PA
Vex      = FrmNum$(12.2,ValSeg)                   'valor segurado
CredMax  = FrmNum$(12.2,LimCrd)                   'limite de credito
TitVex   = TitVex$
'VexTot   = VexTot$

Tipo     = MemTxt$(1)
Pag      = Doc_CntPag
DataExt  = FrmVal$(Sig_DtHoje,45,0)

'- tabela de descontos --------------------------------------------------------
vaGrp = left$(SqlCmp$("Grp$"), 18)                 'grupo
vaAdi = " +"+str$(SqlCmp("VPG")*10)                'valor a adicionar

Va01 = left$(SqlCmp$("V01"), 11)                   'valor 1
Va02 = left$(SqlCmp$("V02"), 11)                   'valor 2
Va03 = left$(SqlCmp$("V03"), 11)                   'valor 3
Va04 = left$(SqlCmp$("V04"), 11)                   'valor 4
Va05 = left$(SqlCmp$("V05"), 11)                   'valor 5
Va06 = left$(SqlCmp$("V06"), 11)                   'valor 6
Va07 = left$(SqlCmp$("V07"), 11)                   'valor 7
Va08 = left$(SqlCmp$("V08"), 11)                   'valor 8
Va09 = left$(SqlCmp$("V09"), 11)                   'valor 9
Va10 = left$(SqlCmp$("V10"), 11)                   'valor 10

'- descontos por conta --------------------------------------------------------
'Campos
C01 = left$(SqlCmp$("C01"), 12)
C02 = left$(SqlCmp$("C02"), 30)
C03 = FrmNum$( 4,SqlCmp("C03"))
C04 = left$(SqlCmp$("C04"), 15)
VPG = SqlCmp("VPG")                                'pagina

V01 = left$(SqlCmp$("V01"), 08)
V02 = left$(SqlCmp$("V02"), 08)
V03 = left$(SqlCmp$("V03"), 08)
V04 = left$(SqlCmp$("V04"), 08)
V05 = left$(SqlCmp$("V05"), 08)
V06 = left$(SqlCmp$("V06"), 08)
V07 = left$(SqlCmp$("V07"), 08)
V08 = left$(SqlCmp$("V08"), 08)
V09 = left$(SqlCmp$("V09"), 08)
V10 = left$(SqlCmp$("V10"), 08)
##


'==============================================================================
#INC
'==============================================================================
Variaveis  comuns                 =[SIG_Dir.Div],LsComVar.std
##


'==============================================================================
#PGM - Programa/Funcoes
'==============================================================================
'- +--+--+--+--+--+--+--+--+--+--+--+--+--+--+--+--+--+--+--+--+--+--+--+--+--+
'- (13) --->'Comentario
'- (25) --------------->'Comentario
'- (28) ------------------>'Comentario
'- (40) ------------------------------>'Comentario
'- (43) --------------------------------->'Comentario
'- (46) ------------------------------------>'Comentario
'- (49) --------------------------------------->'Comentario
'- (52) ------------------------------------------>'Comentario
'- (55) --------------------------------------------->'Comentario
'- (58) ------------------------------------------------>'Comentario
'- (61) --------------------------------------------------->'Comentario
'- (64) ------------------------------------------------------>'Comentario
'- (67) --------------------------------------------------------->'Comentario
'- (70) ------------------------------------------------------------>'Comentario


Sub FxIni 'funcao de inicializacao
'nada a excutar
end sub


Sub FxFim 'funcao de finalizacao
'nada a excutar
end sub


Sub Lst_AJT 'ajuste
'nada a excutar
end sub


'=============================================================================
'- Comum ---------------------------------------------------------------------
'=============================================================================
'-----------------------------------------------------------------------------
'- [TXT] - Listar em modo texto ----------------------------------------------
'-----------------------------------------------------------------------------
Sub Cab80Col   'cabecalho para 80 colunas
FxDiv LstIde,10CPI,0
?@Tit80                                                                     #
End Sub


Sub Cab132col   'cabecalho para 132 colunas
FxDiv LstIde,16CPI,0
?@Tit132                                                                                                                          #
End Sub


Sub CtLstPrp 'preparar listagem da conta
dth$    = FrmDt$("",Sig_DtHoje)        'formatar data do dia
end sub


'------------------------------------------------------------------------------
'- [XLS] - Listar para EXCEL --------------------------------------------------
'------------------------------------------------------------------------------
Sub Com_Xls_DocIni 'inicializar documento
dfi$ = FicEmp$("EMP","Ext","dExcel",cmo$)          'directorio de documentos EXCEL
nfi$ = "RND:EncVndDes.xls"                         'nome do ficheiro
cmo$ = SigCmoCur$("MIX")                           'modulo corrente
ficDoc$ = FicTmp$(dfi$, nfi$)                      'ficheiro para documento
res = DirCri("D", dfi$)                            'criar directorio para documento

xlsMatNom$ = DocOpc$("DocMat")                     'nome do ficheiro matriz
xlsMat$    = DocOpc$("DocMat+SBT")                 'endereco do ficheiro matriz

res = FicCop(xlsMat$, ficDoc$)                     'criar ficheiro (copia de matriz)
res = XlsPrp(0)                                    'preparar EXCEL
res = XlsDocLer(ficDoc$)                           'ler ficheiro

'res = XlsDocCri("")                                'criar documento
end sub


Sub Com_Xls_DocFim 'terminar documento
'res = XlsLinEli(xlsLin, 1)                         'eliminar linha - ultima
'res = XlsLinEli(xlsLba, 1)                         'eliminar linha - primeira

res = XlsDocDir$("A", dfi$)                        'activar directorio
res = XlsDocGrv(ficDoc$)                           'gravar ficheiro

res = XlsVer(1)                                    'mostrar EXCEL - maximizado
res = XlsLib(0)                                    'libertar EXCEL
end sub


Sub Com_Xls_DocCab 'cabecalho do documento
empNum$ = Emp_Inf_Cod$                             'numero da empresa
empNom$ = Emp_Inf_Nome$                            'nome da empresa
'lstTit$ = "CLIENTES - DESCONTOS")                  'titulo da listagem
lstTip$ = MemTxt$(2)                               'tipo da listagem
lstDt$  = FrmDt$("EXT", Sig_DtHoje)                'data para listagem

res = XlsIdeLst("Emp_Num", empNum$)                'numero da empresa
res = XlsIdeLst("Emp_Nome", empNom$)               'nome da empresa
res = XlsIdeLst("Lst_Tit", lstTit$)                'titulo da listagem
res = XlsIdeLst("Lst_Tipo", lstTip$)               'tipo da listagem
res = XlsIdeLst("Lst_Data", lstDt$)                'data
end sub


Sub Com_Xls_LinInc 'incrementar linha
xlsLsa = xlsLin                                    'linha de saida
res = XlsLinIns(xlsLin, 1)                         'juntar linha

'seguinte
xlsLin = xlsLin + 1                                'contar linha
end sub


Sub Com_Xls_LinIni 'iniciar linhas
res = XlsIdePsq("PO_BAS")                          'pesquisar posicao base
linBav = XlsIdePsqRes("L")                         'linha da posicao base

xlsLba = linBav                                    'linha base
xlsLin = linBav + 1                                'contador de linhas usadas
end sub


Sub Com_Xls_LinFim 'fim de linhas
res = XlsLinEli(xlsLin, 1)                         'eliminar linha - ultima
res = XlsLinEli(xlsLba, 1)                         'eliminar linha - primeira

res = XlsIdePsq("PO_FIM")                          'pesquisar posicao final
linFim = XlsIdePsqRes("L")                         'linha da posicao final
end sub


'==============================================================================
'- [TXT] - Listar em modo texto -----------------------------------------------
'==============================================================================
'------------------------------------------------------------------------------
'- [TXT] - Tabela de descontos ------------------------------------------------
'------------------------------------------------------------------------------
Sub TX_TabCab
lstTit$ = "Tabela de Descontos"

call Cab132col
?Data: @DataPlc                                                                                                                       Folha No: @Pag#
?====================================================================================================================================================
?|      Grupo       |  Adi  |    D01    |    D02    |    D03    |    D04    |    D05    |    D06    |    D07    |    D08    |    D09    |    D10    |
?====================================================================================================================================================
end sub


Sub TX_TabLin 'listar linha
tmp=CntLin("INC",1)                           'contar linhas
?|@vaGrp            |@vaAdi |@Va01      |@Va02      |@Va03      |@Va04      |@Va05      |@Va06      |@Va07      |@Va08      |@Va09      |@Va10      |
end sub


Sub TX_TabFim
?====================================================================================================================================================
FxDiv LstPer,SP
end sub


'------------------------------------------------------------------------------
'- [TXT] - Descontos por conta ------------------------------------------------
'------------------------------------------------------------------------------
Sub TX_NorCab
lstTit$ = "Clientes - Descontos"

call Cab80col
?Data: @DataPlc                                                       Folha No: @Pag#
?====================================================================================================================================================
?|   Conta         |                 Nome                | Vend.    |  D01  |  D02  |  D03  |  D04  |  D05  |  D06  |  D07  |  D08  |  D09  |  D10  |
?====================================================================================================================================================
end sub


Sub TX_NorLin 'listar linha
call CtLstPrp                          'preparar listagem da conta

tmp=CntLin("INC",1)                           'contar linhas
?|@C01             | @C02                                |@C03 |@VPG|@V01   |@V02   |@V03   |@V04   |@V05   |@V06   |@V07   |@V08   |@V09   |@V10   |
end sub


Sub TX_NorFim
?====================================================================================================================================================
FxDiv LstPer,SP
end sub


'==============================================================================
'- [GRA] - Listar em modo grafico ---------------------------------------------
'==============================================================================
'------------------------------------------------------------------------------
'- [GRA] - Descontos por conta ------------------------------------------------
'------------------------------------------------------------------------------
SUB FxIni 'funcao de inicializacao
Call SigLstIni
espvl=30
End sub


Sub PW_NorCab
lstTit$ = "Clientes - Descontos"
Titulo$ = lstTit$

'Call SigLstCab

PrWIN COR_F, 15                                    'cor de fundo
PrWIN AJT_B ,  Margem, 11                          'posicao base
PrWin COR_T ,  CorTit
PrWIN FON   ,       9,  1                          'activar fonte
PrWIN TX_N  ,       0,  0,SigLstInf$("EMPIDE")     'nome da empresa
PrWIN FON   ,      12,  1                          'activar fonte
PrWin FON, "BOLD+"                                 'desactivar bold
PrWIN TX_CTR,       0,  5, MargemD, 5,Titulo$      'titulo centrado
PrWin FON, "BOLD-"                                 'desactivar bold

PrWIN FON  ,    9                                  'activar fonte
PrWIN TX_N ,    0, 10,"Data :"                     'data
PrWIN TX_N ,  170, 10,"Folha No :"                 'folha

PrWin COR_T ,  CorLin
PrWIN TX_N,   11, 10,@DataExt                      'listar data
PrWIN TX_N,  185, 10,@Pag                          'numero da folha

Col1=0                      'conta
Col2=30                     'nome
Col3=65                     'vendedor
Col4=95                     'Desconto
Col5=Col4+espvl             '
Col6=Col5+espvl             '
Col7=MargemD

PrWIN AJT_B,  Margem, 30                            'posicao base
PrWIN FON  ,   10                                   'fonte para texto

PrWIN COR_T,   CorTraco                             'cor para titulos
PrWIN GR_LI, 0, 0, MargemD-10, 0               	    'linha
PrWIN GR_LI, 0, 7, MargemD-10, 7               	    'linha

py = 1.5                                            'ajuste de posicao

PrWIN COR_T,   CorTit                               'cor para titulos
PrWIN TX_N,Col1+10, py,"Conta"
PrWIN TX_N,Col2+13, py,"Nome"
PrWIN TX_N,Col4,    py,"Vendedor"
PrWIN TX_N,Col5+5,  py,"Desconto"
'PrWIN TX_N,Col6,    py,"xxxxxxxxxxx"

InicioEscrita=35
PrWIN COR_T,   CorLin                                'cor para linhas
end sub


Sub PW_NorLin
call CtLstPrp                          'preparar listagem da conta
tmp=CntLin("INC",1)                           'contar linhas

PrWIN AJT_B, Margem, InicioEscrita+Doc_CntLin*4      'posicao base
PrWIN COR_T,   CorLin                                'cor para linhas

PrWIN TX_N,    Col1, 0,@C01                         'conta
PrWIN TX_N,    Col2, 0,@C02                         'nome
PrWIN TX_N,    Col4, 0,@C03                         'vendedor
PrWIN TX_N,    Col5, 0,@V01                         'valor Desc01
PrWIN TX_N,    Col6, 0,@V02                         'valor Desc02
end if
end sub


Sub PW_NorFim
PrWIN COR_T,   CorTraco                            'cor para titulos
PrWIN AJT_B,Margem,LinPer-10                       'posicao base
PrWIN GR_LI,     0,  0, MargemD-10, 0              'linha

PrWIN GR_LI,     0,  7, MargemD-10, 7              'linha
call SigLstRod
PrWin FP
End sub


'==============================================================================
'- [XLS] - Listar para XLS ----------------------------------------------------
'==============================================================================
'------------------------------------------------------------------------------
'- [XLS] - Tabela de descontos ------------------------------------------------
'------------------------------------------------------------------------------
Sub XlsTab_DocIni 'inicializar documento
call com_Xls_DocIni                                'inicializar documento
call XlsTab_Prep                                   'preparar
end sub


Sub XlsTab_DocFim 'terminar documento
call Com_Xls_DocFim                                'terminar/mostrar documento
end sub


Sub XlsTab_Prep 'preparar para listar
lstTit$ = "Tabela de descontos")                   'titulo da listagem

res = XlsWks("Valores")                            'activar worksheet
call Com_Xls_DocCab                                'cabecalho do documento
res = XlsIdeLst("Lst_Tipo", "")                    'anular tipo da listagem

call Com_Xls_LinIni                                'iniciar linhas

'definicao das colunas
coGrp  =  2                                        'grupo
coIde  =  3                                        'descricao
coPer  =  4                                        'periodo
coVnd  =  5                                        'vendedor
coAdi  =  6                                        'adicional
coDs01 =  7                                        'desconto 1
coDs02 =  8                                        'desconto 2
coDs03 =  9                                        'desconto 3
coDs04 = 10                                        'desconto 4
coDs05 = 11                                        'desconto 5
coDs06 = 12                                        'desconto 6
coDs07 = 13                                        'desconto 7
coDs08 = 14                                        'desconto 8
coDs09 = 15                                        'desconto 9
coDs10 = 16                                        'desconto 10

antGrp$ = "-"                                      'inicializar grupo anterior
end sub


Sub XlsTab_Lin 'linha de valores
call XlsTab_IncLin                                 'incrementar linha	

'valores a listar
vGrp$ = SqlCmp$("Grp$")                            'grupo
vIde$ = ""                                         'descricao
vVnd$ = ""                                         'vendedor
vPag  = SqlCmp("VPG")                              'pagina

V01$ = left$(SqlCmp$("V01"), 08)                   'desconto 1
V02$ = left$(SqlCmp$("V02"), 08)                   'desconto 2
V03$ = left$(SqlCmp$("V03"), 08)                   'desconto 3
V04$ = left$(SqlCmp$("V04"), 08)                   'desconto 4
V05$ = left$(SqlCmp$("V05"), 08)                   'desconto 5
V06$ = left$(SqlCmp$("V06"), 08)                   'desconto 6
V07$ = left$(SqlCmp$("V07"), 08)                   'desconto 7
V08$ = left$(SqlCmp$("V08"), 08)                   'desconto 8
V09$ = left$(SqlCmp$("V09"), 08)                   'desconto 9
V10$ = left$(SqlCmp$("V10"), 08)                   'desconto 10

if vPag > 0 then                                   'listar adicional ?
   vAdi$ = "'+" + str$(vPag*10)                    'identificacao do adicional
else
   vAdi$ = ""                                      'sem valor adicional
end if

nsp   = TxtSepMul(vGrp$, "#", "GRP")               'separar grupo
'if nsp = 0  then                                   'sem separador ?
'   uGrp$ = vGrp$                                   'grupo
'   dtp$  = ""                                      'periodo
'else
   uGrp$ = ConTx$(1, "GRP")                        'Consultar grupo
   dtp$  = ConTx$(3, "GRP")                        'Consultar periodo
'end if

if dtp$ <> "" then                                 'ha periodo ?
   per$ = FrmDt$("", dtp$)                         'formatar periodo
else
   per$ = ""                                       'sem periodo
end if

'listar
'if uGrp$ <> antGrp$ then                           'mudou de grupo ?
   res = XlsLst(liUsa,coGrp , uGrp$)               'listar grupo
'end if

res = XlsLst(liUsa,coAdi, vAdi$)                   'adicional (pagina)

res = XlsLst(liUsa,coDs01,V01$)                    'desconto 1
res = XlsLst(liUsa,coDs02,V02$)                    'desconto 2
res = XlsLst(liUsa,coDs03,V03$)                    'desconto 3
res = XlsLst(liUsa,coDs04,V04$)                    'desconto 4
res = XlsLst(liUsa,coDs05,V05$)                    'desconto 5
res = XlsLst(liUsa,coDs06,V06$)                    'desconto 6
res = XlsLst(liUsa,coDs07,V07$)                    'desconto 7
res = XlsLst(liUsa,coDs08,V08$)                    'desconto 8
res = XlsLst(liUsa,coDs09,V09$)                    'desconto 9
res = XlsLst(liUsa,coDs10,V10$)                    'desconto 10

'seguinte
antGrp$ = uGrp$                                    'actualizar grupo anterior
End sub


Sub XlsTab_IncLin 'incrementar linha	
call Com_Xls_LinInc                                'incrementar linha
liUsa =  xlsLsa                                    'linha a usar

zon$= XlsZonNum$("L", liUsa)                       'zona da linha
res = XlsFon(zon$, ",,B-I-")                       'activar fonte bold, italico
end sub


Sub XlsTab_Fim 'terminar
call Com_Xls_LinFim                                'fim de linhas

'mostrar
res = XlsWksAct("A", 1)                            'activar worksheet
end sub


'------------------------------------------------------------------------------
'- [XLS] - Descontos por conta ------------------------------------------------
'------------------------------------------------------------------------------
Sub XlsVndDes_DocIni 'inicializar documento
call com_Xls_DocIni                                'inicializar documento
call XlsVndDes_Prep                                'preparar
end sub


Sub XlsVndDes_DocFim 'terminar documento
call Com_Xls_DocFim                                'terminar/mostrar documento
end sub


Sub XlsVndDes_Prep 'preparar para listar
lstTit$ = "CLIENTES - DESCONTOS")                  'titulo da listagem

res = XlsWks("Valores")                            'activar worksheet
call Com_Xls_DocCab                                'cabecalho do documento
res = XlsIdeLst("Lst_Tipo", "")                    'anular tipo da listagem

call Com_Xls_LinIni                                'iniciar linhas

'definicao das colunas
coCt   =  2                                        'codigo conta
coIde  =  3                                        'nome
coPer  =  4                                        'periodo
coVnd  =  5                                        'vendedor
coPag  =  6                                        'pagina
coDs01 =  7                                        'desconto 1
coDs02 =  8                                        'desconto 2
coDs03 =  9                                        'desconto 3
coDs04 = 10                                        'desconto 4
coDs05 = 11                                        'desconto 5
coDs06 = 12                                        'desconto 6
coDs07 = 13                                        'desconto 7
coDs08 = 14                                        'desconto 8
coDs09 = 15                                        'desconto 9
coDs10 = 16                                        'desconto 10

antCli$ = ""                                       'inicializar cliente anterior
end sub


Sub XlsVndDes_Lin 'linha de valores
call XlsVndDes_IncLin 				   'incrementar linha	

'valores a listar
C01$ = SqlCmp$("C01")                              'conta
C02$ = SqlCmp$("C02")                              'nome
C03$ = FrmNum$( 4,SqlCmp("C03"))                   'vendedor
C04$ = left$(SqlCmp$("C04"), 15)                   'pagina

VPG  = SqlCmp("VPG")                               'pagina
GRP$ = SqlCmp$("GRP")                              'grupo

V01$ = left$(SqlCmp$("V01"), 08)                   'desconto 1
V02$ = left$(SqlCmp$("V02"), 08)                   'desconto 2
V03$ = left$(SqlCmp$("V03"), 08)                   'desconto 3
V04$ = left$(SqlCmp$("V04"), 08)                   'desconto 4
V05$ = left$(SqlCmp$("V05"), 08)                   'desconto 5
V06$ = left$(SqlCmp$("V06"), 08)                   'desconto 6
V07$ = left$(SqlCmp$("V07"), 08)                   'desconto 7
V08$ = left$(SqlCmp$("V08"), 08)                   'desconto 8
V09$ = left$(SqlCmp$("V09"), 08)                   'desconto 9
V10$ = left$(SqlCmp$("V10"), 08)                   'desconto 10

if vpg > 0 then                                    'listar ?
   idp$ = "'+" + str$(VPG*10)                      'identificacao da pagina
else
   idp$ = ""                                       'sem valor
end if

nsp  = TxtSepMul(GRP$, "#", "GRP")                 'separar grupo
dtp$ = ConTx$(3, "GRP")                            'Consultar periodo
if dtp$ <> "" then                                 'ha periodo ?
   per$ = FrmDt$("", dtp$)                         'formatar periodo
else
   per$ = ""                                       'sem periodo
end if


'listar
if C01$ <> antCli$ then                            'mudou de cliente ?
   res = XlsLst(liUsa,coCt , c01$)                 'codigo
   res = XlsLst(liUsa,coIde, C02$)                 'nome
end if

res = XlsLst(liUsa,coPer, per$)                    'periodo

res = XlsLst(liUsa,coVnd, C03$)                    'vendedor
res = XlsLst(liUsa,coPag, idp$)                    'pagina

res = XlsLst(liUsa,coDs01,V01$)                    'desconto 1
res = XlsLst(liUsa,coDs02,V02$)                    'desconto 2
res = XlsLst(liUsa,coDs03,V03$)                    'desconto 3
res = XlsLst(liUsa,coDs04,V04$)                    'desconto 4
res = XlsLst(liUsa,coDs05,V05$)                    'desconto 5
res = XlsLst(liUsa,coDs06,V06$)                    'desconto 6
res = XlsLst(liUsa,coDs07,V07$)                    'desconto 7
res = XlsLst(liUsa,coDs08,V08$)                    'desconto 8
res = XlsLst(liUsa,coDs09,V09$)                    'desconto 9
res = XlsLst(liUsa,coDs10,V10$)                    'desconto 10

'seguinte
'call Xls_IncLin                                    'incrementar linha

antCli$ = C01$                                     'inicializar cliente anterior
End sub


Sub XlsVndDes_IncLin 'incrementar linha	
call Com_Xls_LinInc                                'incrementar linha
liUsa =  xlsLsa                                    'linha a usar

zon$= XlsZonNum$("L", liUsa)                       'zona da linha
res = XlsFon(zon$, ",,B-I-")                       'activar fonte bold, italico
end sub


Sub XlsVndDes_Fim 'terminar
call Com_Xls_LinFim                                'fim de linhas
'liUsa = linFim                                     'linha a usar

'mostrar
res = XlsWksAct("A", 1)                            'activar worksheet
end sub

##


'==============================================================================
#INC
'==============================================================================
Funcoes comuns                    =[SIG_Dir.Div],LsComPgm.std
##
